=== debian/control ===
Source: repeatmasker-recon
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>,
           Nilesh Patra <npatra974@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/repeatmasker-recon
Vcs-Git: https://salsa.debian.org/med-team/repeatmasker-recon.git
Homepage: https://www.repeatmasker.org/
Rules-Requires-Root: no

Package: repeatmasker-recon
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Description: finds repeat families from biological sequences
 The RECON package implements a de novo algorithm for the identification
 of repeat families from biological sequences.
 .
 The program implements an approach for the de novo identification and
 classification of repeat sequence families that is based on extensions
 to the usual approach of single linkage clustering of local pairwise
 alignments between genomic sequences. The extensions use multiple
 alignment information to define the boundaries of individual copies of
 the repeats and to distinguish homologous but distinct repeat element
 families. When tested on the human genome, this approach was able to
 properly identify and group known transposable elements. The program,
 should be useful for first-pass automatic classification of repeats in
 newly sequenced genomes.
