=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# main packaging script based on dh7 syntax
%:
	dh $@ --sourcedirectory=src

override_dh_auto_test:
	echo "Do not run tests since there exists no testsuite.sh needed to run those in the package"

execute_before_dh_auto_install:
	mkdir -p bin

execute_after_dh_install:
	cp scripts/recon.pl debian/repeatmasker-recon/usr/bin/repeatmasker-recon
	cp scripts/MSPCollect.pl debian/repeatmasker-recon/usr/bin/MSPCollect
	
override_dh_clean:
	rm -rf bin
	dh_clean
