=== debian/watch ===
version=4

https://www.repeatmasker.org/RepeatModeler/RECON-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
